Range-v3 Range algorithms, views, and actions for the Standard Library |

Public Member Functions | List of all members
ranges::v3::concepts::Transform Struct Reference
Concepts
Inheritance diagram for ranges::v3::concepts::Transform:

## Public Member Functions
template<typename F , typename T >
auto | requires_ (F &&, T &&) -> decltype( concepts::valid_expr( concepts::convertible_to< T >(val< F >()(val< T >())) ))
Public Member Functions inherited from ranges::v3::concepts::refines< RegularFunction >
void | requires_ (Ts &&...)

## Additional Inherited Members
Public Types inherited from ranges::v3::concepts::refines< RegularFunction >
using | base_concepts_t = meta::list< Concepts... >